package opc.ua.addressspace.nodeclasse;

import opc.ua.addressspace.datatype.LocalizedText;

public class DataTypeNode extends BaseNode {
	
	/**
	 * attributes
	 */
	private boolean isAbstract;
	
	/**
	 * references
	 */
	/** 
	 * OPC UA Part 3, p.49
	 */
	private BaseNode[] hasProperty;
	private BaseNode[] hasSubtype;
	private BaseNode[] hasEncoding;
	
	/**
	 * properties
	 */
	private String nodeVersion;
	private LocalizedText[] enumString;
	
	
	public boolean isAbstract() {
		return isAbstract;
	}
	public void setAbstract(boolean isAbstract) {
		this.isAbstract = isAbstract;
	}
	public BaseNode[] getHasProperty() {
		return hasProperty;
	}
	public void setHasProperty(BaseNode[] hasProperty) {
		this.hasProperty = hasProperty;
	}
	public BaseNode[] getHasSubtype() {
		return hasSubtype;
	}
	public void setHasSubtype(BaseNode[] hasSubtype) {
		this.hasSubtype = hasSubtype;
	}
	public BaseNode[] getHasEncoding() {
		return hasEncoding;
	}
	public void setHasEncoding(BaseNode[] hasEncoding) {
		this.hasEncoding = hasEncoding;
	}
	public String getNodeVersion() {
		return nodeVersion;
	}
	public void setNodeVersion(String nodeVersion) {
		this.nodeVersion = nodeVersion;
	}
	public LocalizedText[] getEnumString() {
		return enumString;
	}
	public void setEnumString(LocalizedText[] enumString) {
		this.enumString = enumString;
	}
}
